[arch-commits] Commit in xchat/repos (5 files)
Eric Belanger
eric at archlinux.org
Sat Jun 14 01:38:36 UTC 2008
Date: Friday, June 13, 2008 @ 21:38:35
Author: eric
Revision: 2727
Merged revisions 2-2726 via svnmerge from
svn+ssh://svn.archlinux.org/home/svn-packages/xchat/trunk
........
r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
Added svn:keywords to all PKGBUILDs
........
r2726 | eric | 2008-06-13 21:38:21 -0400 (Fri, 13 Jun 2008) | 2 lines
upgpkg: xchat 2.8.6-1
Upstream update, Added spell checking support (close FS#10395), Added ChangeLog
........
Added:
xchat/repos/extra-i686/ChangeLog
(from rev 2726, xchat/trunk/ChangeLog)
Modified:
xchat/repos/extra-i686/ (properties)
xchat/repos/extra-i686/PKGBUILD
Deleted:
xchat/repos/extra-i686/2.6.8-compile.patch
xchat/repos/extra-i686/2.8.2-fe-text-vartype.patch
-----------------------------+
2.6.8-compile.patch | 33 ---------------------------------
2.8.2-fe-text-vartype.patch | 10 ----------
ChangeLog | 6 ++++++
PKGBUILD | 15 ++++++++-------
4 files changed, 14 insertions(+), 50 deletions(-)
Property changes on: xchat/repos/extra-i686
___________________________________________________________________
Name: svnmerge-integrated
- /xchat/trunk:1
+ /xchat/trunk:1-2726
Deleted: extra-i686/2.6.8-compile.patch
===================================================================
--- extra-i686/2.6.8-compile.patch 2008-06-14 01:38:21 UTC (rev 2726)
+++ extra-i686/2.6.8-compile.patch 2008-06-14 01:38:35 UTC (rev 2727)
@@ -1,33 +0,0 @@
---- src/fe-text/fe-text.c 2006/07/16 04:35:04 1.31
-+++ src/fe-text/fe-text.c 2006/10/25 04:18:07 1.32
-@@ -584,7 +584,7 @@
- {
- }
- void
--fe_set_tab_color (struct session *sess, int col, int flash)
-+fe_set_tab_color (struct session *sess, int col)
- {
- }
- void
-@@ -759,7 +759,7 @@
- {
- }
- void
--fe_lastlog (session * sess, session * lastlog_sess, char *sstr)
-+fe_lastlog (session * sess, session * lastlog_sess, char *sstr, gboolean regexp)
- {
- }
- void
-@@ -845,3 +845,12 @@
- fe_server_event (server *serv, int type, int arg)
- {
- }
-+void
-+fe_flash_window (struct session *sess)
-+{
-+}
-+void fe_get_file (const char *title, char *initial,
-+ void (*callback) (void *userdata, char *file), void *userdata,
-+ int flags)
-+{
-+}
Deleted: extra-i686/2.8.2-fe-text-vartype.patch
===================================================================
--- extra-i686/2.8.2-fe-text-vartype.patch 2008-06-14 01:38:21 UTC (rev 2726)
+++ extra-i686/2.8.2-fe-text-vartype.patch 2008-06-14 01:38:35 UTC (rev 2727)
@@ -1,10 +0,0 @@
---- src/fe-text/fe-text.c.orig 2007-04-10 19:00:26.000000000 +0200
-+++ src/fe-text/fe-text.c 2007-04-10 19:00:42.000000000 +0200
-@@ -856,6 +856,6 @@
- }
- void fe_tray_set_flash (const char *filename1, const char *filename2, int timeout){}
- void fe_tray_set_file (const char *filename){}
--void fe_tray_set_icon (int icon){}
-+void fe_tray_set_icon (feicon icon){}
- void fe_tray_set_tooltip (const char *text){}
- void fe_tray_set_balloon (const char *title, const char *text){}
Copied: xchat/repos/extra-i686/ChangeLog (from rev 2726, xchat/trunk/ChangeLog)
===================================================================
--- extra-i686/ChangeLog (rev 0)
+++ extra-i686/ChangeLog 2008-06-14 01:38:35 UTC (rev 2727)
@@ -0,0 +1,6 @@
+2008-06-13 Eric Belanger <eric at archlinux.org>
+
+ * xchat 2.8.6-1
+ * Upstream update
+ * Added spell checking support (close FS#10395)
+ * Added ChangeLog
Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD 2008-06-14 01:38:21 UTC (rev 2726)
+++ extra-i686/PKGBUILD 2008-06-14 01:38:35 UTC (rev 2727)
@@ -2,18 +2,19 @@
# Maintainer: Eric Belanger <eric at archlinux.org>
pkgname=xchat
-pkgver=2.8.4
-pkgrel=3
+pkgver=2.8.6
+pkgrel=1
pkgdesc="A GTK+ based IRC client"
arch=('i686' 'x86_64')
url="http://www.xchat.org/"
license=('GPL')
depends=('gtk2>=2.10.9' 'openssl>=0.9.8b' 'dbus-glib>=0.7.2')
makedepends=('tcl' 'perl' 'python')
+optdepends=('enchant: for spell checking support')
options=('!libtool')
-source=(http://www.xchat.org/files/source/2.8/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('66d60febc62a01bafac9bb3a35fb37ae')
-sha1sums=('6ac509624c241edfac5d53d9d4ece63d917613d6')
+source=(http://www.xchat.org/files/source/${pkgver%.*}/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('1f2670865d43a23a9abc596dde999aca')
+sha1sums=('7a7463e65cb26c680ed70dd96cec98bcc05435a4')
build() {
cd ${startdir}/src/${pkgname}-${pkgver}
@@ -21,7 +22,7 @@
--enable-openssl --enable-dbus \
--disable-gnome --disable-textfe \
--enable-ipv6 --enable-shm \
- --enable-spell=none
+ --enable-spell=static || return 1
make || return 1
- make DESTDIR=${startdir}/pkg install
+ make DESTDIR=${startdir}/pkg install || return 1
}
More information about the arch-commits
mailing list